/*Class> Compartment[kind="attributes"]{
	visible:true;
	showTitle:true;
}

Class> Compartment[kind="operations"]{
	visible:true;
	showTitle:true;
}
Class> Compartment[kind="nestedclassifiers"]{
	visible:false;
	
}*/
Class[appliedStereotypes~="AAS::Submodel"] {
	fillColor: palegoldenrod;
	elementIcon: false;
	lineWidth: 2;
	/* bold: true; */
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	svgFile: "platform:/plugin/org.eclipse.papyrus.aas.ui/resources/shapes/SM.svg";
	displayStereotypes: false;
	lineColor: #b49500;
}

Property[appliedStereotypes~="AAS::Entity"]{
	fillColor: #f3f3f3;
	elementIcon: false;
	lineWidth: 2;
	/* bold: true; */
	bold: false;
	radiusWidth: 10;
	radiusHeight: 10;
	gradient : white horizontal;
	lineColor:  #7a8888;
}

[appliedStereotypes~="AAS::Submodel"] {
	canonical:true;
}

[appliedStereotypes~="AAS::Submodel"] > Label[type=StereotypeLabel]{
	visible:true;
	depth:"none";
}

[appliedStereotypes~="AAS::Entity"] >Compartment[kind="internalstructure"]{
	visible:false;
	showTitle:false;
}

Property {
	maskLabel: name;
}

Association > Label:sourceMultiplicity {
	visible:false;
}

Association > Label:targetMultiplicity {
	visible:false;
}

Association > Label:sourceRole {
	visible:false;
}

Association > Label:targetRole {
	visible:false;
}

Association > Label:name {
	visible:true;
}

